edu.sc.seis.sod.velocity

## Class ContextWrangler

- java.lang.Object
- - edu.sc.seis.sod.velocity.ContextWrangler

-     public class ContextWrangler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextWrangler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.velocity.VelocityContext` | `createContext()`
    `static org.apache.velocity.VelocityContext` | `createContext(edu.iris.Fissures.IfNetwork.Channel chan)`
    `static org.apache.velocity.VelocityContext` | `createContext(edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `static org.apache.velocity.VelocityContext` | `createContext(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)`
    `static org.apache.velocity.VelocityContext` | `createContext(edu.iris.Fissures.IfNetwork.NetworkAttr net)`
    `static org.apache.velocity.VelocityContext` | `createContext(edu.iris.Fissures.network.StationImpl sta)`
    `static VelocityChannelGroup` | `insertIntoContext(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup chan, org.apache.velocity.VelocityContext ctx)`
    `static VelocityChannel` | `insertIntoContext(edu.iris.Fissures.IfNetwork.Channel chan, org.apache.velocity.VelocityContext ctx)`
    `static VelocityEvent` | `insertIntoContext(edu.iris.Fissures.IfEvent.EventAccessOperations event, org.apache.velocity.VelocityContext ctx)`
    `static VelocitySeismogram` | `insertIntoContext(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis, edu.iris.Fissures.IfNetwork.Channel chan, org.apache.velocity.VelocityContext ctx)`
    `static VelocityNetwork` | `insertIntoContext(edu.iris.Fissures.IfNetwork.NetworkAttr net, org.apache.velocity.VelocityContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextWrangler

          public ContextWrangler()

  - ### Method Detail

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext()

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext(edu.iris.Fissures.IfEvent.EventAccessOperations event)

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext(edu.iris.Fissures.network.StationImpl sta)

    - #### insertIntoContext

          public static VelocityEvent insertIntoContext(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                                        org.apache.velocity.VelocityContext ctx)

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext(edu.iris.Fissures.IfNetwork.NetworkAttr net)

    - #### insertIntoContext

          public static VelocityNetwork insertIntoContext(edu.iris.Fissures.IfNetwork.NetworkAttr net,
                                                          org.apache.velocity.VelocityContext ctx)

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext(edu.iris.Fissures.IfNetwork.Channel chan)

    - #### insertIntoContext

          public static VelocityChannel insertIntoContext(edu.iris.Fissures.IfNetwork.Channel chan,
                                                          org.apache.velocity.VelocityContext ctx)

    - #### insertIntoContext

          public static VelocityChannelGroup insertIntoContext(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup chan,
                                                               org.apache.velocity.VelocityContext ctx)

    - #### createContext

          public static org.apache.velocity.VelocityContext createContext(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                                                          edu.iris.Fissures.network.ChannelImpl channel,
                                                                          edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                                                          edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                                                          edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                                                          CookieJar cookieJar)

    - #### insertIntoContext

          public static VelocitySeismogram insertIntoContext(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis,
                                                             edu.iris.Fissures.IfNetwork.Channel chan,
                                                             org.apache.velocity.VelocityContext ctx)